Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.server
Class NeoServerBootstrapper

    java.lang.Object
      org.neo4j.server.Bootstrapper
          org.neo4j.server.NeoServerBootstrapper

    public class NeoServerBootstrapper

extends Bootstrapper

Field Summary

Fields inherited from class org.neo4j.server.Bootstrapper
`GRAPH_DATABASE_STARTUP_ERROR_CODE, KEY_LOG4J_CONFIG_XML_PATH, OK, WEB_SERVER_STARTUP_ERROR_CODE`

Constructor Summary
`NeoServerBootstrapper()`

Method Summary
`protected GraphDatabaseFactory` | `getGraphDatabaseFactory(org.apache.commons.configuration.Configuration configuration)`
`Iterable<StartupHealthCheckRule>` | `getHealthCheckRules()`
`Iterable<Class<? extends ServerModule>>` | `getServerModules()`

Methods inherited from class org.neo4j.server.Bootstrapper
`controlEvent, getConfigFile, getServer, isMoreDerivedThan, loadMostDerivedBootstrapper, main, start, start, stop, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NeoServerBootstrapper

    public NeoServerBootstrapper()

Method Detail

### getHealthCheckRules

    public Iterable<StartupHealthCheckRule> getHealthCheckRules()

  Specified by:
    `getHealthCheckRules` in class `Bootstrapper`

### getServerModules

    public Iterable<Class<? extends ServerModule>> getServerModules()

  Specified by:
    `getServerModules` in class `Bootstrapper`

### getGraphDatabaseFactory

    protected GraphDatabaseFactory getGraphDatabaseFactory(org.apache.commons.configuration.Configuration configuration)

  Specified by:
    `getGraphDatabaseFactory` in class `Bootstrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 The Neo4j Graph Database Project. All Rights Reserved.